<!DOCTYPE html>
<html lang="fr" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>GoT8</title>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.bundle.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.js"></script>
    <link rel="stylesheet" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-table/1.12.1/bootstrap-table.min.css"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link type="text/css" rel="stylesheet" href="style.css">
  </head>
  <body>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-table/1.12.1/bootstrap-table.min.js" crossorigin="anonymous"></script>
    <script src="functionSlim.js" charset="utf-8"></script>
    <script src="client.js" type="text/javascript">

    </script>

    <div class="form-style-8">
    Première URI – GET /bonjour<br>
    <input type="submit" id="btn-valide" value="Valider"><br><br>
    <div id="result"></div>

    URI avec attribut – GET /personnage/{name}<br>
    <input type="text" id="idx" placeholder="Nom"><br>
    <input type="submit" id="btn2" value="Valider"><br><br>
    <table id="table">

    URI avec paramètre – GET /user<br>
    <input type="text" id="login" placeholder="Login"><br>
    <input type="password" id="pw" placeholder="Mot de passe"><br>
    <input type="submit" id="btn3" value="Valider"><br><br>
    <div id="result2"></div>

    URI avec paramètre – POST /user<br>
    <form method="post" action="javascript:;">
      <legend>Inscription</legend>
      <input type="text" id="login2" placeholder="Login"><br>
      <input type="email" id="email" placeholder="Email"><br>
      <input type="password" id="pw2" placeholder="Mot de passe"><br>
      <input type="submit" id="btn4" value="Valider"><br><br>
    </form>
    <div id="result3"></div>

    Mission GoT 5
    URI avec attribut - DELETE /user/{id}
    <form action="javascript:;">
      <legend>Suppression</legend>
      <input type="text" id="idDel" placeholder="ID"><br>
      <input type="submit" id="btnDel" value="Valider"><br><br>
    </form>
    <div id="resultDel"></div>

    URI avec paramètre - PUT /user<br>
    <form action="javascript:;">
      <input type="text" id="loginNewMail" placeholder="Login"><br>
      <input type="text" id="newMail" placeholder="Nouveau Mail"><br>
      <input type="submit" id="btnNewMail"><br><br>
    </form>
    <div id="resultNewMail"></div>

    URI – GET /personnages<br>
    <a href="persos.html" target="_blank">Persos</a><br><br>

    Mission GoT 6
    Obtention de token<br>
    <form action="javascript:;" id="formToken">
      <input type="text" id="loginToken" placeholder="Login"><br>
      <input type="password" id="pwdToken" placeholder="Mot de passe"><br>
      <input type="submit" id="btnGetToken" value="Valider"><br><br>
    </form>
    <div id="resultToken"></div>
    <input type="button" id="btnTestToken" value="Test Token"><br>
    <div id="resultVerifToken"></div><br><br>

    Mission GoT 7
    Statistiques<br>
    <a href="statsGoT.html" target="_blank"><input type="button" value="Stats"></a><br><br>

    ORAL BLANC E4<br>
    URI avec paramètre - PUT /city<br>
    <form action="javascript:;">
      <input type="text" id="oralId" placeholder="ID"> Exemple d'id: 56fa990a01677b0d643826c8<br>
      <input type="text" id="oralName" placeholder="Nom"><br>
      <input type="submit" id="btnOral"><br><br>
    </form>
    <div id="resultOral"></div><br>

    Mission GoT 8<br>
    Insertion d'un personnage<br>
    <form action="javascript:;">
      <input type="text" id="idChar" placeholder="Id"><br>
      <input type="text" id="nameChar" placeholder="Nom"><br>
      <input type="text" id="birthDateChar" placeholder="Année de naissance"><br>
      <input type="submit" id="btnInsertChar"><br>
    </form>
    <div id="resultInsertChar"></div><br><br>

    Supression d'un personnage<br>
    <form action="javascript:;">
      <input type="text" id="idDeleteChar"><br>
      <input type="submit" id="btnDeleteChar"><br>
    </form>
    <div id="resultDeleteChar"></div><br><br>

    Modification d'un personnage<br>
    <form action="javascript:;">
      <input type="text" id="modifPersoId" placeholder="Id"><br>
      <input type="text" id="modifPersoNom" placeholder="Nom"><br>
      <input type="text" id="modifPersoActeur" placeholder="Acteur"><br>
      <input type="number" id="modifPersoNaiss" placeholder="Année de naissance"><br>
      <input type="number" id="modifPersoMort" placeholder="Année de mort"><br>
      <input type="submit" id="btnModifPerso"><br>
    </form>
    <div id="resultModifPerso"></div><br><br>

    Personnages d'une culture<br>
    <form action="javascript:;">
      <label for="cultures">Choisissez une culture</label><br>
      <select id="culturePersos"></select>
    </form>
    <table id="resPersosCulture"></table><br><br>

    Graphique correspondant<br>
    <input type="submit" id="btnStatsPersosCulture">
    <div class="container">
      <div class="row justify-content-md-center">
        <div class="col-10">
          <canvas id="graphPersosCulture"></canvas>
        </div>
      </div>
    </div>

  </div>
  </body>
</html>
